Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.mondrian
Class MondrianMember.MondrianProp

    java.lang.Object
      com.tonbeller.jpivot.olap.model.impl.PropertyHolderImpl
          com.tonbeller.jpivot.olap.model.impl.PropertyImpl
              com.tonbeller.jpivot.mondrian.MondrianMember.MondrianProp

All Implemented Interfaces:
  Alignable, Decorator, Displayable, Property, PropertyHolder, Visitable

Enclosing class:
  MondrianMember

    public static class MondrianMember.MondrianProp

extends PropertyImpl

a mondrian property can have a caption different from name we only show the caption

Nested Class Summary

Nested classes/interfaces inherited from interface com.tonbeller.jpivot.olap.model.Alignable
`Alignable.Alignment`

Field Summary

Fields inherited from interface com.tonbeller.jpivot.olap.model.Displayable
`LABEL_COMPARATOR`

Constructor Summary
`MondrianMember.MondrianProp()`

Method Summary
`java.lang.String` | `getMondrianName()`
`void` | `setMondrianName(java.lang.String mondrianName)`

Methods inherited from class com.tonbeller.jpivot.olap.model.impl.PropertyImpl
`accept, getAlignment, getLabel, getName, getRootDecoree, getValue, isNormalizable, setAlignment, setLabel, setName, setNormalizable, setValue`

Methods inherited from class com.tonbeller.jpivot.olap.model.impl.PropertyHolderImpl
`addProperty, getProperties, getProperty, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.olap.model.PropertyHolder
`getProperties, getProperty`

Constructor Detail

### MondrianMember.MondrianProp

    public MondrianMember.MondrianProp()

Method Detail

### getMondrianName

    public java.lang.String getMondrianName()

  Returns:
    Returns the mondrianName.

### setMondrianName

    public void setMondrianName(java.lang.String mondrianName)

  Parameters:
    `mondrianName` - The mondrianName to set.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD